Share via


Web Apps - Update Premier Add On

Description for Updates a named add-on of an app.

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/premieraddons/{premierAddOnName}?api-version=2025-05-01

URI Parameters

Name In Required Type Description
name
path True

string

Name of the app.

premierAddOnName
path True

string

Add-on name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
kind

string

Kind of resource.

properties.marketplaceOffer

string

Premier add on Marketplace offer.

properties.marketplacePublisher

string

Premier add on Marketplace publisher.

properties.product

string

Premier add on Product.

properties.sku

string

Premier add on SKU.

properties.vendor

string

Premier add on Vendor.

Responses

Name Type Description
200 OK

PremierAddOn

Azure operation completed successfully.

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Definitions

Name Description
createdByType

The type of identity that created the resource.

DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

PremierAddOn

Premier add-on.

PremierAddOnPatchResource

ARM resource for a PremierAddOn.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

PremierAddOn

Premier add-on.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

Kind of resource.

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.marketplaceOffer

string

Premier add on Marketplace offer.

properties.marketplacePublisher

string

Premier add on Marketplace publisher.

properties.product

string

Premier add on Product.

properties.sku

string

Premier add on SKU.

properties.vendor

string

Premier add on Vendor.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

PremierAddOnPatchResource

ARM resource for a PremierAddOn.

Name Type Description
id

string

Resource Id.

kind

string

Kind of resource.

name

string

Resource Name.

properties.marketplaceOffer

string

Premier add on Marketplace offer.

properties.marketplacePublisher

string

Premier add on Marketplace publisher.

properties.product

string

Premier add on Product.

properties.sku

string

Premier add on SKU.

properties.vendor

string

Premier add on Vendor.

type

string

Resource type.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.